> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cognizo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially update a brand (blank values keep old data)



## OpenAPI

````yaml /api-reference/openapi.json patch /api/v2/brands/{brand_id}
openapi: 3.0.1
info:
  title: Cognizo Public API
  version: v1
  description: >-
    Public REST API for Cognizo. Authenticate with an API key via the
    `X-API-KEY` header.
servers:
  - url: https://core.cognizo.ai
security:
  - apiKey: []
paths:
  /api/v2/brands/{brand_id}:
    parameters:
      - name: brand_id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    patch:
      tags:
        - Brands
      summary: Partially update a brand (blank values keep old data)
      operationId: update_brand
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  nullable: true
                status:
                  type: string
                  nullable: true
                  enum:
                    - onboarding_pending
                    - onboarding
                    - pending
                    - active
                    - paused
                    - past_due
                    - onboarding_failed
                    - deleted
                    - null
                brand_type:
                  type: string
                  nullable: true
                  enum:
                    - customer
                    - pitch
                    - demo
                    - null
                description:
                  type: string
                  nullable: true
                primary_category:
                  type: string
                  nullable: true
                is_favorite:
                  type: boolean
                  nullable: true
                brand_updated_at:
                  type: string
                  nullable: true
                activated_at:
                  type: string
                  format: date-time
                  nullable: true
      responses:
        '200':
          description: updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    $ref: '#/components/schemas/operation_meta'
                required:
                  - meta
components:
  schemas:
    operation_meta:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
        - message
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````